> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return all properties for a specified feature in a collection



## OpenAPI

````yaml /api-reference/4.2/service-collections.json get /collections/{collection}/features/{feature}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service collections
servers:
  - url: /api/apollo/
security: []
tags:
  - name: collections
paths:
  /collections/{collection}/features/{feature}:
    get:
      tags:
        - 4.2 Collections API
      summary: Return all properties for a specified feature in a collection
      operationId: getFeature
      parameters:
        - name: collection
          in: path
          description: The name of a collection
          required: true
          schema:
            type: string
        - name: feature
          in: path
          description: The name of a feature
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Feature'
components:
  schemas:
    Feature:
      type: object
      properties:
        name:
          type: string
        collectionId:
          type: string
        params:
          type: object
          additionalProperties:
            type: object
        enabled:
          type: boolean
          default: false

````